import axios from 'axios';

import config from './config';

/*
 *get count of bus stops
 */
export async function getBusStopsCount(){
    //console.log('stops:getBusStopsCount() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}bus-stops/count`;
	const rsp = await axios.get(address);
	count = rsp.data[0][0];
    } catch (err) {
        console.error('err.message: ' + err.message);
    }
    //console.log('stops:getBusStopsCount() Done.');
    return count;
};
